# Uses of Interface
java.rmi.server.RemoteCall

Packages that use RemoteCall
Package
Description
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of RemoteCall in java.rmi.server

Methods in java.rmi.server that return RemoteCall
Modifier and Type
Method
Description
`RemoteCall`
RemoteRef.`newCall(RemoteObject obj, Operation[] op, int opnum, long hash)`
Deprecated.
1.2 style stubs no longer use this method.
Methods in java.rmi.server with parameters of type RemoteCall
Modifier and Type
Method
Description
`void`
Skeleton.`dispatch(Remote obj, RemoteCall theCall, int opnum, long hash)`
Deprecated.
no replacement
`void`
RemoteRef.`done(RemoteCall call)`
Deprecated.
1.2 style stubs no longer use this method.
`void`
RemoteRef.`invoke(RemoteCall call)`
Deprecated.
1.2 style stubs no longer use this method.